 package com.springboot.test;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

import com.springboot.test.dao.UserRepository;
import com.springboot.test.entities.User;

@SpringBootApplication
public class JpaSpringBootExampleApplication {

	public static void main(String[] args) {
		ApplicationContext context =   SpringApplication.run(JpaSpringBootExampleApplication.class, args);
		UserRepository userRepository = context.getBean(UserRepository.class);
	
		User user = new User();
		user.setRollNo ("101");
		user.setName("Suresh Kumar");
		
		User user1 = userRepository.save(user);
		System.out.println(user1);
		
	}

}
